test: tsevars.c File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tsevars.c File Reference

`#include "tsecomm.c"`

Go to the source code of this file.

## Defines

#define | BEDROCK_AUTHORITY {0,0,0,0,155,144}
#define | BEDROCK_SUBAUTHORITY_0 0x00000015L
#define | BEDROCK_SUBAUTHORITY_1 0x00000003L
#define | BEDROCK_SUBAUTHORITY_2 0x00000011L
#define | FRED_RID 0x00000002L
#define | WILMA_RID 0x00000003L
#define | PEBBLES_RID 0x00000004L
#define | DINO_RID 0x00000005L
#define | BARNEY_RID 0x00000006L
#define | BETTY_RID 0x00000007L
#define | BAMBAM_RID 0x00000008L
#define | FLINTSTONE_RID 0x00000009L
#define | RUBBLE_RID 0x0000000AL
#define | ADULT_RID 0x0000000BL
#define | CHILD_RID 0x0000000CL
#define | NEANDERTHOL_RID 0x0000000DL

## Typedefs

typedef enum _USERS | USERS

## Enumerations

enum | _USERS { Fred, Wilma, Pebbles, Barney, Betty, Bambam, Dino }

## Functions

BOOLEAN | TSeVariableInitialization ()

## Variables

PSID | BedrockDomainSid
PSID | FredSid
PSID | WilmaSid
PSID | PebblesSid
PSID | DinoSid
PSID | BarneySid
PSID | BettySid
PSID | BambamSid
PSID | FlintstoneSid
PSID | RubbleSid
PSID | AdultSid
PSID | ChildSid
PSID | NeandertholSid
PSID | NullSid
PSID | WorldSid
PSID | LocalSid
PSID | CreatorSid
PSID | NtAuthoritySid
PSID | DialupSid
PSID | NetworkSid
PSID | BatchSid
PSID | InteractiveSid
PSID | LocalSystemSid
LUID | CreateTokenPrivilege
LUID | AssignPrimaryTokenPrivilege
LUID | LockMemoryPrivilege
LUID | IncreaseQuotaPrivilege
LUID | UnsolicitedInputPrivilege
LUID | TcbPrivilege
LUID | SecurityPrivilege
LUID | TakeOwnershipPrivilege
LUID | CreatePagefilePrivilege
LUID | IncreaseBasePriorityPrivilege
LUID | SystemProfilePrivilege
LUID | SystemtimePrivilege
LUID | ProfileSingleProcessPrivilege
LUID | RestorePrivilege
LUID | BackupPrivilege
LUID | CreatePermanentPrivilege
LUID | ShutdownPrivilege
LUID | DebugPrivilege

## Define Documentation

#define ADULT_RID 0x0000000BL

| Definition at line 82 of file tsevars.c. Referenced by TSeVariableInitialization().

#define BAMBAM_RID 0x00000008L

| Definition at line 77 of file tsevars.c. Referenced by TSeVariableInitialization().

#define BARNEY_RID 0x00000006L

| Definition at line 75 of file tsevars.c. Referenced by TSeVariableInitialization().

#define BEDROCK_AUTHORITY {0,0,0,0,155,144}

| Definition at line 65 of file tsevars.c. Referenced by TestTokenSet(), and TSeVariableInitialization().

#define BEDROCK_SUBAUTHORITY_0 0x00000015L

| Definition at line 66 of file tsevars.c. Referenced by TSeVariableInitialization().

#define BEDROCK_SUBAUTHORITY_1 0x00000003L

| Definition at line 67 of file tsevars.c. Referenced by TSeVariableInitialization().

#define BEDROCK_SUBAUTHORITY_2 0x00000011L

| Definition at line 68 of file tsevars.c. Referenced by TSeVariableInitialization().

#define BETTY_RID 0x00000007L

| Definition at line 76 of file tsevars.c. Referenced by TSeVariableInitialization().

#define CHILD_RID 0x0000000CL

| Definition at line 83 of file tsevars.c. Referenced by TSeVariableInitialization().

#define DINO_RID 0x00000005L

| Definition at line 73 of file tsevars.c. Referenced by TSeVariableInitialization().

#define FLINTSTONE_RID 0x00000009L

| Definition at line 79 of file tsevars.c. Referenced by TSeVariableInitialization().

#define FRED_RID 0x00000002L

| Definition at line 70 of file tsevars.c. Referenced by TSeVariableInitialization().

#define NEANDERTHOL_RID 0x0000000DL

| Definition at line 85 of file tsevars.c. Referenced by TSeVariableInitialization().

#define PEBBLES_RID 0x00000004L

| Definition at line 72 of file tsevars.c. Referenced by TSeVariableInitialization().

#define RUBBLE_RID 0x0000000AL

| Definition at line 80 of file tsevars.c. Referenced by TSeVariableInitialization().

#define WILMA_RID 0x00000003L

| Definition at line 71 of file tsevars.c. Referenced by TSeVariableInitialization().

## Typedef Documentation

typedef enum _USERS USERS

## Enumeration Type Documentation

enum _USERS

Enumeration values:

  Fred |
  Wilma |
  Pebbles |
  Barney |
  Betty |
  Bambam |
  Dino |

Definition at line 35 of file tsevars.c.

    00035                     {
    00036     Fred,
    00037     Wilma,
    00038     Pebbles,
    00039     Barney,
    00040     Betty,
    00041     Bambam,
    00042     Dino
    00043 } USERS;

## Function Documentation

BOOLEAN TSeVariableInitialization | ( |  | ) |

Definition at line 167 of file tsevars.c.

References ADULT_RID, AdultSid, AssignPrimaryTokenPrivilege, BackupPrivilege, BAMBAM_RID, BambamSid, BARNEY_RID, BarneySid, BatchSid, BEDROCK_AUTHORITY, BEDROCK_SUBAUTHORITY_0, BEDROCK_SUBAUTHORITY_1, BEDROCK_SUBAUTHORITY_2, BedrockDomainSid, BETTY_RID, BettySid, CHILD_RID, ChildSid, CreatePagefilePrivilege, CreatePermanentPrivilege, CreateTokenPrivilege, CreatorSid, DebugPrivilege, DialupSid, DINO_RID, DinoSid, FLINTSTONE_RID, FlintstoneSid, FRED_RID, FredSid, IncreaseBasePriorityPrivilege, IncreaseQuotaPrivilege, InteractiveSid, LocalSid, LocalSystemSid, LockMemoryPrivilege, NEANDERTHOL_RID, NeandertholSid, NetworkSid, NtAuthoritySid, NullSid, PagedPool, PEBBLES_RID, PebblesSid, ProfileSingleProcessPrivilege, RestorePrivilege, RtlCopySid(), RtlInitializeSid(), RtlLengthRequiredSid(), RtlSubAuthorityCountSid(), RtlSubAuthoritySid(), RUBBLE_RID, RubbleSid, SecurityPrivilege, ShutdownPrivilege, SystemProfilePrivilege, SystemtimePrivilege, TakeOwnershipPrivilege, TcbPrivilege, TRUE, UnsolicitedInputPrivilege, WILMA_RID, WilmaSid, and WorldSid.

Referenced by CTAccess(), main(), TestSeRtl(), and TestTokenInitialize().

    00170                    :
    00171
    00172     This function initializes the global variables used in security
    00173     tests.
    00174
    00175 Arguments:
    00176
    00177     None.
    00178
    00179 Return Value:
    00180
    00181     TRUE if variables successfully initialized.
    00182     FALSE if not successfully initialized.
    00183
    00184 --*/
    00185 {
    00186     ULONG SidWithZeroSubAuthorities;
    00187     ULONG SidWithOneSubAuthority;
    00188     ULONG SidWithThreeSubAuthorities;
    00189     ULONG SidWithFourSubAuthorities;
    00190
    00191     SID_IDENTIFIER_AUTHORITY NullSidAuthority    = SECURITY_NULL_SID_AUTHORITY;
    00192     SID_IDENTIFIER_AUTHORITY WorldSidAuthority   = SECURITY_WORLD_SID_AUTHORITY;
    00193     SID_IDENTIFIER_AUTHORITY LocalSidAuthority   = SECURITY_LOCAL_SID_AUTHORITY;
    00194     SID_IDENTIFIER_AUTHORITY CreatorSidAuthority = SECURITY_CREATOR_SID_AUTHORITY;
    00195
    00196     SID_IDENTIFIER_AUTHORITY NtAuthority = SECURITY_NT_AUTHORITY;
    00197
    00198
    00199     SID_IDENTIFIER_AUTHORITY BedrockAuthority = BEDROCK_AUTHORITY;
    00200
    00201
    00202     //
    00203     //  The following SID sizes need to be allocated
    00204     //
    00205
    00206     SidWithZeroSubAuthorities  = RtlLengthRequiredSid( 0 );
    00207     SidWithOneSubAuthority     = RtlLengthRequiredSid( 1 );
    00208     SidWithThreeSubAuthorities = RtlLengthRequiredSid( 3 );
    00209     SidWithFourSubAuthorities  = RtlLengthRequiredSid( 4 );
    00210
    00211     //
    00212     //  Allocate and initialize the universal SIDs
    00213     //
    00214
    00215     NullSid    = (PSID)TstAllocatePool(PagedPool,SidWithOneSubAuthority);
    00216     WorldSid   = (PSID)TstAllocatePool(PagedPool,SidWithOneSubAuthority);
    00217     LocalSid   = (PSID)TstAllocatePool(PagedPool,SidWithOneSubAuthority);
    00218     CreatorSid = (PSID)TstAllocatePool(PagedPool,SidWithOneSubAuthority);
    00219
    00220     RtlInitializeSid( NullSid,    &NullSidAuthority, 1 );
    00221     RtlInitializeSid( WorldSid,   &WorldSidAuthority, 1 );
    00222     RtlInitializeSid( LocalSid,   &LocalSidAuthority, 1 );
    00223     RtlInitializeSid( CreatorSid, &CreatorSidAuthority, 1 );
    00224
    00225     *(RtlSubAuthoritySid( NullSid, 0 ))    = SECURITY_NULL_RID;
    00226     *(RtlSubAuthoritySid( WorldSid, 0 ))   = SECURITY_WORLD_RID;
    00227     *(RtlSubAuthoritySid( LocalSid, 0 ))   = SECURITY_LOCAL_RID;
    00228     *(RtlSubAuthoritySid( CreatorSid, 0 )) = SECURITY_CREATOR_OWNER_RID;
    00229
    00230     //
    00231     // Allocate and initialize the NT defined SIDs
    00232     //
    00233
    00234     NtAuthoritySid  = (PSID)TstAllocatePool(PagedPool,SidWithZeroSubAuthorities);
    00235     DialupSid       = (PSID)TstAllocatePool(PagedPool,SidWithOneSubAuthority);
    00236     NetworkSid      = (PSID)TstAllocatePool(PagedPool,SidWithOneSubAuthority);
    00237     BatchSid        = (PSID)TstAllocatePool(PagedPool,SidWithOneSubAuthority);
    00238     InteractiveSid  = (PSID)TstAllocatePool(PagedPool,SidWithOneSubAuthority);
    00239     LocalSystemSid  = (PSID)TstAllocatePool(PagedPool,SidWithOneSubAuthority);
    00240
    00241     RtlInitializeSid( NtAuthoritySid,   &NtAuthority, 0 );
    00242     RtlInitializeSid( DialupSid,        &NtAuthority, 1 );
    00243     RtlInitializeSid( NetworkSid,       &NtAuthority, 1 );
    00244     RtlInitializeSid( BatchSid,         &NtAuthority, 1 );
    00245     RtlInitializeSid( InteractiveSid,   &NtAuthority, 1 );
    00246     RtlInitializeSid( LocalSystemSid,   &NtAuthority, 1 );
    00247
    00248     *(RtlSubAuthoritySid( DialupSid,       0 )) = SECURITY_DIALUP_RID;
    00249     *(RtlSubAuthoritySid( NetworkSid,      0 )) = SECURITY_NETWORK_RID;
    00250     *(RtlSubAuthoritySid( BatchSid,        0 )) = SECURITY_BATCH_RID;
    00251     *(RtlSubAuthoritySid( InteractiveSid,  0 )) = SECURITY_INTERACTIVE_RID;
    00252     *(RtlSubAuthoritySid( LocalSystemSid,  0 )) = SECURITY_LOCAL_SYSTEM_RID;
    00253
    00254
    00255
    00256     //
    00257     // Allocate and initialize the Bedrock SIDs
    00258     //
    00259
    00260     BedrockDomainSid  = (PSID)TstAllocatePool(PagedPool,SidWithThreeSubAuthorities);
    00261
    00262     FredSid           = (PSID)TstAllocatePool(PagedPool,SidWithFourSubAuthorities);
    00263     WilmaSid          = (PSID)TstAllocatePool(PagedPool,SidWithFourSubAuthorities);
    00264     PebblesSid        = (PSID)TstAllocatePool(PagedPool,SidWithFourSubAuthorities);
    00265     DinoSid           = (PSID)TstAllocatePool(PagedPool,SidWithFourSubAuthorities);
    00266
    00267     BarneySid         = (PSID)TstAllocatePool(PagedPool,SidWithFourSubAuthorities);
    00268     BettySid          = (PSID)TstAllocatePool(PagedPool,SidWithFourSubAuthorities);
    00269     BambamSid         = (PSID)TstAllocatePool(PagedPool,SidWithFourSubAuthorities);
    00270
    00271     FlintstoneSid     = (PSID)TstAllocatePool(PagedPool,SidWithFourSubAuthorities);
    00272     RubbleSid         = (PSID)TstAllocatePool(PagedPool,SidWithFourSubAuthorities);
    00273
    00274     AdultSid          = (PSID)TstAllocatePool(PagedPool,SidWithFourSubAuthorities);
    00275     ChildSid          = (PSID)TstAllocatePool(PagedPool,SidWithFourSubAuthorities);
    00276
    00277     NeandertholSid    = (PSID)TstAllocatePool(PagedPool,SidWithFourSubAuthorities);
    00278
    00279     RtlInitializeSid( BedrockDomainSid,   &BedrockAuthority, 3 );
    00280     *(RtlSubAuthoritySid( BedrockDomainSid, 0)) = BEDROCK_SUBAUTHORITY_0;
    00281     *(RtlSubAuthoritySid( BedrockDomainSid, 1)) = BEDROCK_SUBAUTHORITY_1;
    00282     *(RtlSubAuthoritySid( BedrockDomainSid, 2)) = BEDROCK_SUBAUTHORITY_2;
    00283
    00284     RtlCopySid( SidWithFourSubAuthorities, FredSid, BedrockDomainSid);
    00285     *(RtlSubAuthorityCountSid( FredSid )) += 1;
    00286     *(RtlSubAuthoritySid( FredSid, 3)) = FRED_RID;
    00287
    00288     RtlCopySid( SidWithFourSubAuthorities, WilmaSid, BedrockDomainSid);
    00289     *(RtlSubAuthorityCountSid( WilmaSid )) += 1;
    00290     *(RtlSubAuthoritySid( WilmaSid, 3)) = WILMA_RID;
    00291
    00292     RtlCopySid( SidWithFourSubAuthorities, PebblesSid, BedrockDomainSid);
    00293     *(RtlSubAuthorityCountSid( PebblesSid )) += 1;
    00294     *(RtlSubAuthoritySid( PebblesSid, 3)) = PEBBLES_RID;
    00295
    00296     RtlCopySid( SidWithFourSubAuthorities, DinoSid, BedrockDomainSid);
    00297     *(RtlSubAuthorityCountSid( DinoSid )) += 1;
    00298     *(RtlSubAuthoritySid( DinoSid, 3)) = DINO_RID;
    00299
    00300     RtlCopySid( SidWithFourSubAuthorities, BarneySid, BedrockDomainSid);
    00301     *(RtlSubAuthorityCountSid( BarneySid )) += 1;
    00302     *(RtlSubAuthoritySid( BarneySid, 3)) = BARNEY_RID;
    00303
    00304     RtlCopySid( SidWithFourSubAuthorities, BettySid, BedrockDomainSid);
    00305     *(RtlSubAuthorityCountSid( BettySid )) += 1;
    00306     *(RtlSubAuthoritySid( BettySid, 3)) = BETTY_RID;
    00307
    00308     RtlCopySid( SidWithFourSubAuthorities, BambamSid, BedrockDomainSid);
    00309     *(RtlSubAuthorityCountSid( BambamSid )) += 1;
    00310     *(RtlSubAuthoritySid( BambamSid, 3)) = BAMBAM_RID;
    00311
    00312     RtlCopySid( SidWithFourSubAuthorities, FlintstoneSid, BedrockDomainSid);
    00313     *(RtlSubAuthorityCountSid( FlintstoneSid )) += 1;
    00314     *(RtlSubAuthoritySid( FlintstoneSid, 3)) = FLINTSTONE_RID;
    00315
    00316     RtlCopySid( SidWithFourSubAuthorities, RubbleSid, BedrockDomainSid);
    00317     *(RtlSubAuthorityCountSid( RubbleSid )) += 1;
    00318     *(RtlSubAuthoritySid( RubbleSid, 3)) = RUBBLE_RID;
    00319
    00320     RtlCopySid( SidWithFourSubAuthorities, AdultSid, BedrockDomainSid);
    00321     *(RtlSubAuthorityCountSid( AdultSid )) += 1;
    00322     *(RtlSubAuthoritySid( AdultSid, 3)) = ADULT_RID;
    00323
    00324     RtlCopySid( SidWithFourSubAuthorities, ChildSid, BedrockDomainSid);
    00325     *(RtlSubAuthorityCountSid( ChildSid )) += 1;
    00326     *(RtlSubAuthoritySid( ChildSid, 3)) = CHILD_RID;
    00327
    00328     RtlCopySid( SidWithFourSubAuthorities, NeandertholSid, BedrockDomainSid);
    00329     *(RtlSubAuthorityCountSid( NeandertholSid )) += 1;
    00330     *(RtlSubAuthoritySid( NeandertholSid, 3)) = NEANDERTHOL_RID;
    00331
    00332
    00333     CreateTokenPrivilege =
    00334         RtlConvertLongToLuid(SE_CREATE_TOKEN_PRIVILEGE);
    00335     AssignPrimaryTokenPrivilege =
    00336         RtlConvertLongToLuid(SE_ASSIGNPRIMARYTOKEN_PRIVILEGE);
    00337     LockMemoryPrivilege =
    00338         RtlConvertLongToLuid(SE_LOCK_MEMORY_PRIVILEGE);
    00339     IncreaseQuotaPrivilege =
    00340         RtlConvertLongToLuid(SE_INCREASE_QUOTA_PRIVILEGE);
    00341     UnsolicitedInputPrivilege =
    00342         RtlConvertLongToLuid(SE_UNSOLICITED_INPUT_PRIVILEGE);
    00343     TcbPrivilege =
    00344         RtlConvertLongToLuid(SE_TCB_PRIVILEGE);
    00345     SecurityPrivilege =
    00346         RtlConvertLongToLuid(SE_SECURITY_PRIVILEGE);
    00347     TakeOwnershipPrivilege =
    00348         RtlConvertLongToLuid(SE_TAKE_OWNERSHIP_PRIVILEGE);
    00349     CreatePagefilePrivilege =
    00350         RtlConvertLongToLuid(SE_CREATE_PAGEFILE_PRIVILEGE);
    00351     IncreaseBasePriorityPrivilege =
    00352         RtlConvertLongToLuid(SE_INC_BASE_PRIORITY_PRIVILEGE);
    00353     SystemProfilePrivilege =
    00354         RtlConvertLongToLuid(SE_SYSTEM_PROFILE_PRIVILEGE);
    00355     SystemtimePrivilege =
    00356         RtlConvertLongToLuid(SE_SYSTEMTIME_PRIVILEGE);
    00357     ProfileSingleProcessPrivilege =
    00358         RtlConvertLongToLuid(SE_PROF_SINGLE_PROCESS_PRIVILEGE);
    00359     CreatePermanentPrivilege =
    00360         RtlConvertLongToLuid(SE_CREATE_PERMANENT_PRIVILEGE);
    00361     BackupPrivilege =
    00362         RtlConvertLongToLuid(SE_BACKUP_PRIVILEGE);
    00363     RestorePrivilege =
    00364         RtlConvertLongToLuid(SE_RESTORE_PRIVILEGE);
    00365     ShutdownPrivilege =
    00366         RtlConvertLongToLuid(SE_SHUTDOWN_PRIVILEGE);
    00367     DebugPrivilege =
    00368         RtlConvertLongToLuid(SE_DEBUG_PRIVILEGE);
    00369
    00370
    00371     return TRUE;
    00372
    00373 }
    #endif  // _TSEVARS_

## Variable Documentation

PSID AdultSid

| Definition at line 103 of file tsevars.c. Referenced by TestSeSid(), and TSeVariableInitialization().

LUID AssignPrimaryTokenPrivilege

| Definition at line 142 of file tsevars.c. Referenced by DisplayPrivilegeName(), TestTokenAssignPrimary(), TestTokenCreate(), TestTokenInitialize(), TestTokenQuery(), and TSeVariableInitialization().

LUID BackupPrivilege

| Definition at line 157 of file tsevars.c. Referenced by DisplayPrivilegeName(), and TSeVariableInitialization().

PSID BambamSid

| Definition at line 98 of file tsevars.c. Referenced by TestSeSid(), and TSeVariableInitialization().

PSID BarneySid

| Definition at line 96 of file tsevars.c. Referenced by CreateDAclToken(), TestSeSid(), TestTokenSet(), and TSeVariableInitialization().

PSID BatchSid

| Definition at line 126 of file tsevars.c.

PSID BedrockDomainSid

| Definition at line 88 of file tsevars.c. Referenced by TestSeSid(), and TSeVariableInitialization().

PSID BettySid

| Definition at line 97 of file tsevars.c. Referenced by TestSeSid(), and TSeVariableInitialization().

PSID ChildSid

| Definition at line 104 of file tsevars.c. Referenced by CreateDAclToken(), TestSeSid(), TestTokenAdjustGroups(), TestTokenAssignPrimary(), TestTokenCreate(), TestTokenFilter(), TestTokenQuery(), and TSeVariableInitialization().

LUID CreatePagefilePrivilege

| Definition at line 150 of file tsevars.c. Referenced by DisplayPrivilegeName(), and TSeVariableInitialization().

LUID CreatePermanentPrivilege

| Definition at line 158 of file tsevars.c. Referenced by DisplayPrivilegeName(), and TSeVariableInitialization().

LUID CreateTokenPrivilege

| Definition at line 141 of file tsevars.c. Referenced by DisplayPrivilegeName(), TestTokenAdjustPrivileges(), TestTokenInitialize(), and TSeVariableInitialization().

PSID CreatorSid

| Definition at line 116 of file tsevars.c. Referenced by GenerateDescriptor(), RtlpCompareKnownAces(), RtlpCompareKnownObjectAces(), RtlpCopyEffectiveAce(), and TSeVariableInitialization().

LUID DebugPrivilege

| Definition at line 160 of file tsevars.c. Referenced by DisplayPrivilegeName(), and TSeVariableInitialization().

PSID DialupSid

| Definition at line 124 of file tsevars.c.

PSID DinoSid

| Definition at line 94 of file tsevars.c. Referenced by TestSeSid(), and TSeVariableInitialization().

PSID FlintstoneSid

| Definition at line 100 of file tsevars.c. Referenced by CreateDAclToken(), TestSeSid(), TestTokenAssignPrimary(), TestTokenCreate(), TestTokenFilter(), TestTokenQuery(), TestTokenSet(), and TSeVariableInitialization().

PSID FredSid

| Definition at line 91 of file tsevars.c. Referenced by CreateDAclToken(), TestSeSid(), and TSeVariableInitialization().

LUID IncreaseBasePriorityPrivilege

| Definition at line 151 of file tsevars.c. Referenced by DisplayPrivilegeName(), and TSeVariableInitialization().

LUID IncreaseQuotaPrivilege

| Definition at line 144 of file tsevars.c. Referenced by DisplayPrivilegeName(), and TSeVariableInitialization().

PSID InteractiveSid

| Definition at line 127 of file tsevars.c.

PSID LocalSid

| Definition at line 115 of file tsevars.c.

PSID LocalSystemSid

| Definition at line 128 of file tsevars.c.

LUID LockMemoryPrivilege

| Definition at line 143 of file tsevars.c. Referenced by DisplayPrivilegeName(), and TSeVariableInitialization().

PSID NeandertholSid

| Definition at line 106 of file tsevars.c. Referenced by CreateDAclToken(), TestSeSid(), TestTokenAdjustGroups(), TestTokenAssignPrimary(), TestTokenCreate(), TestTokenFilter(), TestTokenQuery(), TestTokenSet(), and TSeVariableInitialization().

PSID NetworkSid

| Definition at line 125 of file tsevars.c.

PSID NtAuthoritySid

| Definition at line 122 of file tsevars.c.

PSID NullSid

| Definition at line 113 of file tsevars.c.

PSID PebblesSid

| Definition at line 93 of file tsevars.c. Referenced by CreateDAclToken(), TestSeSid(), TestTokenAssignPrimary(), TestTokenCreate(), TestTokenQuery(), and TSeVariableInitialization().

LUID ProfileSingleProcessPrivilege

| Definition at line 154 of file tsevars.c. Referenced by DisplayPrivilegeName(), and TSeVariableInitialization().

LUID RestorePrivilege

| Definition at line 156 of file tsevars.c. Referenced by DisplayPrivilegeName(), and TSeVariableInitialization().

PSID RubbleSid

| Definition at line 101 of file tsevars.c. Referenced by TestSeSid(), TestTokenAdjustGroups(), TestTokenSet(), and TSeVariableInitialization().

LUID SecurityPrivilege

| Definition at line 147 of file tsevars.c. Referenced by CreateDAclToken(), DisplayPrivilegeName(), TestTokenAdjustPrivileges(), TestTokenAssignPrimary(), TestTokenCreate(), TestTokenFilter(), TestTokenQuery(), and TSeVariableInitialization().

LUID ShutdownPrivilege

| Definition at line 159 of file tsevars.c. Referenced by DisplayPrivilegeName(), and TSeVariableInitialization().

LUID SystemProfilePrivilege

| Definition at line 152 of file tsevars.c. Referenced by DisplayPrivilegeName(), and TSeVariableInitialization().

LUID SystemtimePrivilege

| Definition at line 153 of file tsevars.c. Referenced by DisplayPrivilegeName(), and TSeVariableInitialization().

LUID TakeOwnershipPrivilege

| Definition at line 149 of file tsevars.c. Referenced by DisplayPrivilegeName(), and TSeVariableInitialization().

LUID TcbPrivilege

| Definition at line 146 of file tsevars.c. Referenced by DisplayPrivilegeName(), TSeVariableInitialization(), and UdfInvalidateVolumes().

LUID UnsolicitedInputPrivilege

| Definition at line 145 of file tsevars.c. Referenced by CreateDAclToken(), DisplayPrivilegeName(), TestTokenAdjustPrivileges(), TestTokenAssignPrimary(), TestTokenCreate(), TestTokenFilter(), TestTokenQuery(), and TSeVariableInitialization().

PSID WilmaSid

| Definition at line 92 of file tsevars.c. Referenced by TestSeSid(), and TSeVariableInitialization().

PSID WorldSid

| Definition at line 114 of file tsevars.c.